extends ../base.jade

block title
  title Знание - редактор

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name:'seo_keywords',title:'SEO - '+__('keywords'),type:'text'},{name:'seo_description',title:'SEO - '+__('description'),type:'text'},{name: 'name_ru',title: __('name')+' (RU)',type: 'string',required: true},{name: 'name_en',title: __('name')+' (EN)',type: 'string',required: true},{name: 'tag_id',title: __('bound_tag'),type: 'select',select_type: 'single',ajax: '/ajax/tag'},{name: 'type',title: __('type'),type: 'select',select_type: 'single',enum: ['technology', 'tool', 'base']},{name: 'html_ru',title: __('description')+' (RU)',type: 'text',html: 'maxi'},{name: 'html_en',title: __('description')+' (EN)',type: 'text',html: 'maxi'}]
  //- - var schema = [
  //-   {
  //-     name:'seo_keywords',
  //-     title:'SEO - '+__('keywords'),
  //-     type:'text'
  //-   },
  //-   {
  //-     name:'seo_description',
  //-     title:'SEO - '+__('description'),
  //-     type:'text'
  //-   },
  //-   {
  //-     name: 'name_ru',
  //-     title: __('name')+' (RU)',
  //-     type: 'string',
  //-     required: true
  //-   },
  //-   {
  //-     name: 'name_en',
  //-     title: __('name')+' (EN)',
  //-     type: 'string',
  //-     required: true
  //-   },
  //-   {
  //-     name: 'name',
  //-     title: __('name'),
  //-     type: 'string',
  //-     required: true
  //-   },
  //-   {
  //-     name: 'tag_id',
  //-     title: __('bound_tag'),
  //-     type: 'select',
  //-     select_type: 'single',
  //-     ajax: '/ajax/tag'
  //-   },
  //-   {
  //-     name: 'type',
  //-     title: __('type'),
  //-     type: 'select',
  //-     select_type: 'single',
  //-     enum: ['technology', 'tool', 'base']
  //-   },
  //-   {
  //-     name: 'html_ru',
  //-     title: __('description')+' (RU)',
  //-     type: 'text',
  //-     html: 'maxi'
  //-   },
  //-   {
  //-     name: 'html_en',
  //-     title: __('description')+' (EN)',
  //-     type: 'text',
  //-     html: 'maxi'
  //-   }
  //- ]

block main
  .PW.isle
    if action === 'create'
      h2= __('new_knowledge')
    else 
      a.toRight.Fsg(href='/knowledge/'+ knowledge.id +'/remove')=  __('remove')
      h2=  __('edit_knowledge')

    form(method="POST", action= "/knowledge"+(action === 'edit'? '/'+knowledge.id : ''))
      input(type="hidden", name="_csrf", value= _csrf)
      != Html.edit_entity_form(knowledge, schema, req.getLocale())
      button.button.active.UC(type="submit")= (action === 'create')? __('create') :  __('save_changes')